<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:02 CET 2009 -->
<TITLE>
SystemProperties
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.lang.SystemProperties interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="SystemProperties";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SystemProperties.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/lang/SystemProperties.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SystemProperties.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.lang</FONT>
<BR>
Interface SystemProperties</H2>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.40"><B>SystemProperties</B></A></DL>
</PRE>

<P>
Names of predefined system properties as listed in 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/System.html#getProperties()" title="class or interface in java.lang"><CODE>System.getProperties()</CODE></A>
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#FILE_SEPARATOR">FILE_SEPARATOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;File separator ("/" on UNIX)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_CLASS_PATH">JAVA_CLASS_PATH</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java class path</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_CLASS_VERSION">JAVA_CLASS_VERSION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java class format version number</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_COMPILER">JAVA_COMPILER</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Name of JIT compiler to use</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_EXT_DIRS">JAVA_EXT_DIRS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Path of extension directory or directories</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_HOME">JAVA_HOME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java installation directory</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_IO_TMPDIR">JAVA_IO_TMPDIR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default temp file path</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_LIBRARY_PATH">JAVA_LIBRARY_PATH</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;List of paths to search when loading libraries</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_SPECIFICATION_NAME">JAVA_SPECIFICATION_NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java Runtime Environment specification name</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_SPECIFICATION_VENDOR">JAVA_SPECIFICATION_VENDOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java Runtime Environment specification vendor</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_SPECIFICATION_VERSION">JAVA_SPECIFICATION_VERSION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java Runtime Environment specification version</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_VENDOR">JAVA_VENDOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java Runtime Environment vendor</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_VENDOR_URL">JAVA_VENDOR_URL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java vendor URL</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_VERSION">JAVA_VERSION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java Runtime Environment version</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_VM_NAME">JAVA_VM_NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java Virtual Machine implementation name</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_VM_SPECIFICATION_NAME">JAVA_VM_SPECIFICATION_NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java Virtual Machine specification name</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_VM_SPECIFICATION_VENDOR">JAVA_VM_SPECIFICATION_VENDOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java Virtual Machine specification vendor</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_VM_SPECIFICATION_VERSION">JAVA_VM_SPECIFICATION_VERSION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java Virtual Machine specification version</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_VM_VENDOR">JAVA_VM_VENDOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java Virtual Machine implementation vendor</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#JAVA_VM_VERSION">JAVA_VM_VERSION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Java Virtual Machine implementation version</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#LINE_SEPARATOR">LINE_SEPARATOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Line separator ("\n" on UNIX)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#OS_ARCH">OS_ARCH</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Operating system architecture</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#OS_NAME">OS_NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Operating system name</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#OS_VERSION">OS_VERSION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Operating system version</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#PATH_SEPARATOR">PATH_SEPARATOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Path separator (":" on UNIX)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#USER_DIR">USER_DIR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;User's current working directory</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#USER_HOME">USER_HOME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;User's home directory</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/lang/SystemProperties.html#USER_NAME">USER_NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;User's account name</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="JAVA_VERSION"><!-- --></A><H3>
JAVA_VERSION</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.42"><B>JAVA_VERSION</B></A></PRE>
<DL>
<DD>Java Runtime Environment version
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_VERSION">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_VENDOR"><!-- --></A><H3>
JAVA_VENDOR</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.44"><B>JAVA_VENDOR</B></A></PRE>
<DL>
<DD>Java Runtime Environment vendor
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_VENDOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_VENDOR_URL"><!-- --></A><H3>
JAVA_VENDOR_URL</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.46"><B>JAVA_VENDOR_URL</B></A></PRE>
<DL>
<DD>Java vendor URL
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_VENDOR_URL">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_HOME"><!-- --></A><H3>
JAVA_HOME</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.48"><B>JAVA_HOME</B></A></PRE>
<DL>
<DD>Java installation directory
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_HOME">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_VM_SPECIFICATION_VERSION"><!-- --></A><H3>
JAVA_VM_SPECIFICATION_VERSION</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.50"><B>JAVA_VM_SPECIFICATION_VERSION</B></A></PRE>
<DL>
<DD>Java Virtual Machine specification version
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_VM_SPECIFICATION_VERSION">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_VM_SPECIFICATION_VENDOR"><!-- --></A><H3>
JAVA_VM_SPECIFICATION_VENDOR</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.52"><B>JAVA_VM_SPECIFICATION_VENDOR</B></A></PRE>
<DL>
<DD>Java Virtual Machine specification vendor
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_VM_SPECIFICATION_VENDOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_VM_SPECIFICATION_NAME"><!-- --></A><H3>
JAVA_VM_SPECIFICATION_NAME</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.54"><B>JAVA_VM_SPECIFICATION_NAME</B></A></PRE>
<DL>
<DD>Java Virtual Machine specification name
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_VM_SPECIFICATION_NAME">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_VM_VERSION"><!-- --></A><H3>
JAVA_VM_VERSION</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.56"><B>JAVA_VM_VERSION</B></A></PRE>
<DL>
<DD>Java Virtual Machine implementation version
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_VM_VERSION">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_VM_VENDOR"><!-- --></A><H3>
JAVA_VM_VENDOR</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.58"><B>JAVA_VM_VENDOR</B></A></PRE>
<DL>
<DD>Java Virtual Machine implementation vendor
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_VM_VENDOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_VM_NAME"><!-- --></A><H3>
JAVA_VM_NAME</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.60"><B>JAVA_VM_NAME</B></A></PRE>
<DL>
<DD>Java Virtual Machine implementation name
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_VM_NAME">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_SPECIFICATION_VERSION"><!-- --></A><H3>
JAVA_SPECIFICATION_VERSION</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.62"><B>JAVA_SPECIFICATION_VERSION</B></A></PRE>
<DL>
<DD>Java Runtime Environment specification version
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_SPECIFICATION_VERSION">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_SPECIFICATION_VENDOR"><!-- --></A><H3>
JAVA_SPECIFICATION_VENDOR</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.64"><B>JAVA_SPECIFICATION_VENDOR</B></A></PRE>
<DL>
<DD>Java Runtime Environment specification vendor
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_SPECIFICATION_VENDOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_SPECIFICATION_NAME"><!-- --></A><H3>
JAVA_SPECIFICATION_NAME</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.66"><B>JAVA_SPECIFICATION_NAME</B></A></PRE>
<DL>
<DD>Java Runtime Environment specification name
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_SPECIFICATION_NAME">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_CLASS_VERSION"><!-- --></A><H3>
JAVA_CLASS_VERSION</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.68"><B>JAVA_CLASS_VERSION</B></A></PRE>
<DL>
<DD>Java class format version number
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_CLASS_VERSION">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_CLASS_PATH"><!-- --></A><H3>
JAVA_CLASS_PATH</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.70"><B>JAVA_CLASS_PATH</B></A></PRE>
<DL>
<DD>Java class path
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_CLASS_PATH">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_LIBRARY_PATH"><!-- --></A><H3>
JAVA_LIBRARY_PATH</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.72"><B>JAVA_LIBRARY_PATH</B></A></PRE>
<DL>
<DD>List of paths to search when loading libraries
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_LIBRARY_PATH">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_IO_TMPDIR"><!-- --></A><H3>
JAVA_IO_TMPDIR</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.74"><B>JAVA_IO_TMPDIR</B></A></PRE>
<DL>
<DD>Default temp file path
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_IO_TMPDIR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_COMPILER"><!-- --></A><H3>
JAVA_COMPILER</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.76"><B>JAVA_COMPILER</B></A></PRE>
<DL>
<DD>Name of JIT compiler to use
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_COMPILER">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="JAVA_EXT_DIRS"><!-- --></A><H3>
JAVA_EXT_DIRS</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.78"><B>JAVA_EXT_DIRS</B></A></PRE>
<DL>
<DD>Path of extension directory or directories
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.JAVA_EXT_DIRS">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="OS_NAME"><!-- --></A><H3>
OS_NAME</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.80"><B>OS_NAME</B></A></PRE>
<DL>
<DD>Operating system name
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.OS_NAME">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="OS_ARCH"><!-- --></A><H3>
OS_ARCH</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.82"><B>OS_ARCH</B></A></PRE>
<DL>
<DD>Operating system architecture
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.OS_ARCH">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="OS_VERSION"><!-- --></A><H3>
OS_VERSION</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.84"><B>OS_VERSION</B></A></PRE>
<DL>
<DD>Operating system version
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.OS_VERSION">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="FILE_SEPARATOR"><!-- --></A><H3>
FILE_SEPARATOR</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.86"><B>FILE_SEPARATOR</B></A></PRE>
<DL>
<DD>File separator ("/" on UNIX)
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.FILE_SEPARATOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="PATH_SEPARATOR"><!-- --></A><H3>
PATH_SEPARATOR</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.88"><B>PATH_SEPARATOR</B></A></PRE>
<DL>
<DD>Path separator (":" on UNIX)
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.PATH_SEPARATOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="LINE_SEPARATOR"><!-- --></A><H3>
LINE_SEPARATOR</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.90"><B>LINE_SEPARATOR</B></A></PRE>
<DL>
<DD>Line separator ("\n" on UNIX)
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.LINE_SEPARATOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="USER_NAME"><!-- --></A><H3>
USER_NAME</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.92"><B>USER_NAME</B></A></PRE>
<DL>
<DD>User's account name
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.USER_NAME">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="USER_HOME"><!-- --></A><H3>
USER_HOME</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.94"><B>USER_HOME</B></A></PRE>
<DL>
<DD>User's home directory
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.USER_HOME">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="USER_DIR"><!-- --></A><H3>
USER_DIR</H3>
<PRE>
static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/lang/SystemProperties.html#line.96"><B>USER_DIR</B></A></PRE>
<DL>
<DD>User's current working directory
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#ch.javasoft.lang.SystemProperties.USER_DIR">Constant Field Values</A></DL>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SystemProperties.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/lang/SystemProperties.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SystemProperties.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
